<?xml version="1.0" encoding="UTF-8"?>


<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.lutao</groupId>
		<artifactId>cloud-common</artifactId>
		<version>1.0.0</version>
	</parent>

	<artifactId>cloud-common-data</artifactId>
	<packaging>jar</packaging>

	<description> 数据操作相关</description>


	<dependencies>
		<!--工具类核心包-->
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-core</artifactId>
		</dependency>
		<!--mybatis plus-->
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-extension</artifactId>
		</dependency>
		<!-- druid 连接池 -->
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid</artifactId>
			<optional>true</optional>
		</dependency>
		<!--安全依赖获取上下文信息-->
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-security</artifactId>
			<optional>true</optional>
		</dependency>
		<!--feign client-->
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-upms-api</artifactId>
		</dependency>
		<!--缓存依赖-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-redis</artifactId>
		</dependency>
		<!--kingbase8-->
<!--		<dependency>-->
<!--			<groupId>com.kingbase8</groupId>-->
<!--			<artifactId>kingbase8</artifactId>-->
<!--			<version>8.6.0</version>-->
<!--		</dependency>-->
		<!--<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-elasticsearch</artifactId>
		</dependency>-->
	</dependencies>
</project>
